Bug 3585 - Keyword Search is broken on the OCAL website
Summary: Keyword Search is broken on the OCAL website
Status: CLOSED FIXED
Alias: None
Product: openclipart.org
Classification: Unclassified
Component: website (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high critical
Assignee: default user for a product
QA Contact:
URL: http://openclipart.org/cgi-bin/keywor...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-21 00:36 UTC by Jon Phillips
Modified: 2006-09-07 16:18 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Phillips 2005-06-21 00:36:37 UTC
Yes, I think the Keyword Search has been broken actually since the last release,
so we should scurry to get it patched.

I tried several searches and received no results.

After the release before last the permissions on the on-disk repository were
screwed up, so I had to fix those before the keyword search worked. However, the
fix doesn't seem quite so easy this time.
Comment 1 Jonadab the Unsightly One 2005-06-24 04:11:25 UTC
This is a consequence of the HASH bug.  What is happening is that keywords.idx
is generated incorrectly, due to that bug.
Comment 2 Jonadab the Unsightly One 2005-07-07 04:11:48 UTC
Try it now.
Comment 3 Jon Phillips 2005-07-07 10:53:44 UTC
Works for me now. One thing though is that if there are no results returned,
then the counter at the bottom saying: "Showing results 1 through 0 of 0" should
just say in bold: "No Results Returned" or something similar.
Comment 4 Jonadab the Unsightly One 2005-08-07 11:34:58 UTC
> One thing though is that if there are no results returned, then the 
> counter at the bottom saying: "Showing results 1 through 0 of 0" 
> should just say in bold: "No Results Returned" or something similar

Checked in.  Tested.  Works for me.  Marking FIXED.
Comment 5 Jon Phillips 2006-09-07 16:18:38 UTC
This is actually still needing to get finished with ccHost...so actually, should
be refiled as a bug for cchost: http://sf.net/projects/cctools (make sure to
list as cchost for category)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.